org.apache.lucene.search.suggest

## Class Lookup.LookupResult

- java.lang.Object
- - org.apache.lucene.search.suggest.Lookup.LookupResult

All Implemented Interfaces:
  Comparable<Lookup.LookupResult>

Enclosing class:
  Lookup

    public static final class Lookup.LookupResult
    extends Object
    implements Comparable<Lookup.LookupResult>

Result of a lookup.

### Field Summary

Fields
`CharSequence` `key` the key's text
`long` `value` the key's weight

### Constructor Summary

Constructors
Constructor and Description
`Lookup.LookupResult(CharSequence key, long value)` Create a new result from a key+weight pair.

### Method Summary

Methods
`int` `compareTo(Lookup.LookupResult o)` Compare alphabetically.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### key

    public final CharSequence key

the key's text

#### value

    public final long value

the key's weight

### Constructor Detail

#### Lookup.LookupResult

    public Lookup.LookupResult(CharSequence key,
                       long value)

Create a new result from a key+weight pair.

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### compareTo

    public int compareTo(Lookup.LookupResult o)

Compare alphabetically.

Specified by:
  `compareTo` in interface `Comparable<Lookup.LookupResult>`